> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecrop.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Identity

> This endpoint retrieves the risk evaluation for a previously submitted identity risk evaluation order. You must provide the `referenceNumber` that was used when submitting the order. The response contains a risk score, a risk level, and a detailed risk analysis (if available). The risk evaluation may not be immediately available; you may need to check the status periodically.



## OpenAPI

````yaml GET /omni-eagle/v1/identities/{referenceNumber}
openapi: 3.1.0
info:
  contact:
    email: developers@ecrop.com
    name: ecrop OmniEagle API Support
    url: https://youki.ai/contact
  description: >
    # OmniEagle API Documentation

    Welcome to the OmniEagle API. This API provides risk evaluation services for
    identities and transactions. This documentation details the endpoints
    available for submitting risk evaluation orders and retrieving the results.
  license:
    name: ecrop OmniOmni
    url: https://developers.ecrop.de/api-license/
  termsOfService: https://developers.ecrop.de/terms-of-use/
  title: OmniEagle API Catalogue
  version: 1.0.0
  x-logo:
    backgroundColor: '#DDDDDD'
    url: >-
      https://static.wixstatic.com/media/fd3e8b_a57864adb1084dea94c9fab462a8f52c~mv2.png/v1/crop/x_0,y_131,w_1253,h_295/fill/w_233,h_55,al_c,q_85,usm_0.66_1.00_0.01,enc_auto/fd3e8b_a57864adb1084dea94c9fab462a8f52c~mv2.png
servers:
  - url: https://backend.dev.ecrop.de/ecrop-command
    description: DEV
security:
  - Bearer Authentication: []
tags:
  - description: Endpoints for submitting and retrieving identity risk evaluations
    name: Identities
  - description: Endpoints for submitting and retrieving transaction risk evaluations
    name: Transactions
paths:
  /omni-eagle/v1/identities/{referenceNumber}:
    get:
      tags:
        - Identities
      summary: Get result of risk evaluation for an identity
      description: >-
        This endpoint retrieves the risk evaluation for a previously submitted
        identity risk evaluation order. You must provide the `referenceNumber`
        that was used when submitting the order. The response contains a risk
        score, a risk level, and a detailed risk analysis (if available). The
        risk evaluation may not be immediately available; you may need to check
        the status periodically.
      operationId: getResultOfIdentityRiskEvaluationOrder
      parameters:
        - description: ReferenceNumber of the order
          in: path
          name: referenceNumber
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetResultOfRiskEvaluationOrderResponseDto'
          description: Risk evaluation retrieved successfully.
components:
  schemas:
    GetResultOfRiskEvaluationOrderResponseDto:
      type: object
      properties:
        pending:
          type: boolean
        riskDetail:
          $ref: '#/components/schemas/JsonNode'
        riskLevel:
          type: string
          enum:
            - NA
            - LOW
            - MODERATE
            - HIGH
    JsonNode:
      type: object
  securitySchemes:
    Bearer Authentication:
      bearerFormat: JWT
      scheme: bearer
      type: http

````